import { defineComponent, mergeProps, onMounted, ref, useModel, useSSRContext } from "vue";
import { ssrGetDynamicModelProps, ssrInterpolate, ssrRenderAttrs, ssrRenderSlot } from "vue/server-renderer";
//#region resources/js/Components/InputError.vue?vue&type=script&setup=true&lang.ts
var InputError_vue_vue_type_script_setup_true_lang_default = /*@__PURE__*/ defineComponent({
	__name: "InputError",
	__ssrInlineRender: true,
	props: { message: {} },
	setup(__props) {
		return (_ctx, _push, _parent, _attrs) => {
			_push(`<div${ssrRenderAttrs(mergeProps(_attrs, { style: __props.message ? null : { display: "none" } }))}><p class="text-sm text-red-600 dark:text-red-400">${ssrInterpolate(__props.message)}</p></div>`);
		};
	}
});
//#endregion
//#region resources/js/Components/InputError.vue
var _sfc_setup$2 = InputError_vue_vue_type_script_setup_true_lang_default.setup;
InputError_vue_vue_type_script_setup_true_lang_default.setup = (props, ctx) => {
	const ssrContext = useSSRContext();
	(ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Components/InputError.vue");
	return _sfc_setup$2 ? _sfc_setup$2(props, ctx) : void 0;
};
var InputError_default = InputError_vue_vue_type_script_setup_true_lang_default;
//#endregion
//#region resources/js/Components/InputLabel.vue?vue&type=script&setup=true&lang.ts
var InputLabel_vue_vue_type_script_setup_true_lang_default = /*@__PURE__*/ defineComponent({
	__name: "InputLabel",
	__ssrInlineRender: true,
	props: { value: {} },
	setup(__props) {
		return (_ctx, _push, _parent, _attrs) => {
			_push(`<label${ssrRenderAttrs(mergeProps({ class: "block text-sm font-medium text-gray-700 dark:text-gray-300" }, _attrs))}>`);
			if (__props.value) _push(`<span>${ssrInterpolate(__props.value)}</span>`);
			else {
				_push(`<span>`);
				ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
				_push(`</span>`);
			}
			_push(`</label>`);
		};
	}
});
//#endregion
//#region resources/js/Components/InputLabel.vue
var _sfc_setup$1 = InputLabel_vue_vue_type_script_setup_true_lang_default.setup;
InputLabel_vue_vue_type_script_setup_true_lang_default.setup = (props, ctx) => {
	const ssrContext = useSSRContext();
	(ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Components/InputLabel.vue");
	return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : void 0;
};
var InputLabel_default = InputLabel_vue_vue_type_script_setup_true_lang_default;
//#endregion
//#region resources/js/Components/TextInput.vue?vue&type=script&setup=true&lang.ts
var TextInput_vue_vue_type_script_setup_true_lang_default = /*@__PURE__*/ defineComponent({
	__name: "TextInput",
	__ssrInlineRender: true,
	props: {
		"modelValue": { required: true },
		"modelModifiers": {}
	},
	emits: ["update:modelValue"],
	setup(__props, { expose: __expose }) {
		const model = useModel(__props, "modelValue");
		const input = ref(null);
		onMounted(() => {
			if (input.value?.hasAttribute("autofocus")) input.value?.focus();
		});
		__expose({ focus: () => input.value?.focus() });
		return (_ctx, _push, _parent, _attrs) => {
			let _temp0;
			_push(`<input${ssrRenderAttrs((_temp0 = mergeProps({
				class: "rounded-md border-gray-300 shadow-sm focus:border-red-500 focus:ring-red-500 dark:border-gray-700 dark:bg-gray-900 dark:text-gray-300 dark:focus:border-red-600 dark:focus:ring-red-600",
				ref_key: "input",
				ref: input
			}, _attrs), mergeProps(_temp0, ssrGetDynamicModelProps(_temp0, model.value))))}>`);
		};
	}
});
//#endregion
//#region resources/js/Components/TextInput.vue
var _sfc_setup = TextInput_vue_vue_type_script_setup_true_lang_default.setup;
TextInput_vue_vue_type_script_setup_true_lang_default.setup = (props, ctx) => {
	const ssrContext = useSSRContext();
	(ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Components/TextInput.vue");
	return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
var TextInput_default = TextInput_vue_vue_type_script_setup_true_lang_default;
//#endregion
export { InputLabel_default as n, InputError_default as r, TextInput_default as t };
